{% macro recordAction(period) %}
    <li>
        <a href="{{ path('chill_person_accompanying_course_index', { 'accompanying_period_id': period }) }}"
           class="btn btn-show" title="{{ 'See accompanying period'|trans }}"></a>
    </li>
{% endmacro %}

{% if period is not null %}
    <div class="flex-table">
        {% if is_granted('CHILL_PERSON_ACCOMPANYING_PERIOD_SEE', period) %}
            {% include "@ChillPerson/AccompanyingPeriod/_list_item.html.twig" with {
                'recordAction': _self.recordAction(notification.relatedEntityId),
                'itemBlocClass': 'bg-chill-llight-gray'
            } %}
        {% else %}
            <div class="alert alert-warning border-warning border-1">
                {{ 'This is the minimal period details'|trans ~ ': ' ~ period.id }}<br>
                {{ 'You are getting a notification for a period you are not allowed to see'|trans }}
            </div>
        {% endif %}
    </div>
{% else %}
    <div class="alert alert-warning border-warning border-1">
        {{ 'You are getting a notification for a period which does not exists any more'|trans }}
    </div>
{% endif %}
